# Creating a new application
-------------

To scaffold out a new application simply open your directory, navigate to an empty folder and type

```
yo generator-marionette
```

Once the command finishes you'll have the following directory structure:

![Directory structure](http://puu.sh/8BuNF.png)

## Directory structure
### Frontend

This folder will contain all of your public files (Javascript, CSS, images, fonts etc)

![Directory structure](http://puu.sh/8Bvlt.png)

- app/
    * autoload              --> Autogenerated plugin / module loader files
    * components            --> Components that are shared between modules go here
    * modules               --> Modules go here
    * plugins               --> Plugins go here
    * app.js                --> Marionette application + startup logic
    * bootstrap.js          --> Bootstraps our application
    * configuration.js      --> Application configuration (making different libraries play nice with eachother)
    * entities.js           --> Backend requests should be listed here, think of this as a DAO (http://en.wikipedia.org/wiki/Data_access_object)
    * vendors.js            --> Mainly used to load jquery plugins
- static_files/             --> All static files go here


### Build

![Directory structure](http://puu.sh/8BvBr.png)

* config
    * config.json       - general configuration file
    * development.json  - development specific configuration file, overwrites values at config.json
    * production.json   - production specific configuration file, overwrites values at production.json
* tasks
    * options           - grunt options split by plugin
    * build.js          - the grunt build process
* index.html            - the template for the index.html file, this file will be used to create a new index.html every time you run grunt
* requirejs.json        - the template for the requirejs configuration, this file will be used to create a new requirejs configuration every time you run grunt