// Karma configuration
// Generated on Thu Aug 22 2013 14:43:40 GMT+0300 (FLE Daylight Time)

module.exports = function (config) {
    'use strict';

    config.set({

        // base path, that will be used to resolve files and exclude
        basePath: '',

        // frameworks to use
        frameworks: ['jasmine', 'requirejs'],

        // list of files / patterns to load in the browser
        files: [

            {pattern: 'frontend/bower_components/**/*.js', included: false },
            //App code
            {pattern: 'frontend/app/**/*.js', included: false },
            //App templates
            {pattern: 'frontend/app/**/*.hbs', included: false, served : true },
            {pattern: 'test/unit/**/*Spec.js', included: false },

            'test/unit/test-main.js'
        ],

        // list of files to exclude
        exclude: [
            'frontend/app/bootstrap.js'
        ],

        // web server port
        port: 9877,

        // level of logging
        // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
        logLevel: config.LOG_INFO,


        // enable / disable watching file and executing tests whenever any file changes
        autoWatch: false,


        // Start these browsers, currently available:
        // - Chrome
        // - ChromeCanary
        // - Firefox
        // - Opera
        // - Safari (only Mac)
        // - PhantomJS
        // - IE (only Windows)
        browsers: ['PhantomJS'],


        // If browser does not capture in given timeout [ms], kill it
        captureTimeout: 60000,


        // Continuous Integration mode
        // if true, it capture browsers, run tests and exit
        singleRun: true
    });
};